    All Packages  Class Hierarchy  This Package  Previous  Next  Index

# Interface java.net.SocketImplFactory

public interface SocketImplFactory

This interface defines a factory for socket implementations. It is used by the classes `Socket` and `ServerSocket` to create actual socket implementations.

See Also:
  Socket, ServerSocket

##

createSocketImpl()
  Creates a new `SocketImpl` instance.

##

createSocketImpl

     public abstract SocketImpl createSocketImpl()

  Creates a new `SocketImpl` instance.

  Returns:
    a new instance of `SocketImpl`.
  See Also:
    SocketImpl

    All Packages  Class Hierarchy  This Package  Previous  Next  Index

Submit a bug or feature - Version 1.1.8 of Java Platform API Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1995-1999 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.